package com.yc.ship.module.ota.api.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;


@Data
public class DistributorAgencyPriceDTO  {

    private String id;

    @Schema(description = "分销商ID")
    private Long distributorId;

    @Schema(description = "分销商产品ID")
    private Long distributorProductId;

    @Schema(description = "产品ID")
    private Long productId;

    @Schema(description = "产品skuID")
    private Long productSkuId;

    @Schema(description = "产品规格")
    private String specType;

    @Schema(description = "成本价")
    private BigDecimal costPrice;

    @Schema(description = "销售价")
    private BigDecimal salePrice;

    @Schema(description = "使用日期")
    private Date useDate;
}
