package com.yc.ship.module.ota.api;

import com.yc.ship.framework.common.util.object.BeanUtils;
import com.yc.ship.module.ota.api.dto.DistributorRespDTO;
import com.yc.ship.module.ota.dal.dataobject.distributor.DistributorDO;
import com.yc.ship.module.ota.service.distributor.DistributorService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class OtaDistributorApiImpl implements OtaDistributorApi{

    @Resource
    private DistributorService distributorService;
    @Override
    public DistributorRespDTO getDistributorByLoginUserId(Long loginUserId) {
        DistributorDO distributorDO = distributorService.getDistributorByLoginUserId(loginUserId);
        if(distributorDO == null) {
            return null;
        }
        return BeanUtils.toBean(distributorDO, DistributorRespDTO.class);
    }
}
