package com.yc.ship.module.ota.dal.dataobject.distributorcategory;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;

/**
 * 供应商分类 DO
 *
 * @author 管理员
 */
@TableName("ota_distributor_category")
@KeySequence("ota_distributor_category_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorCategoryDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 编码
     */
    private String cateCode;
    /**
     * 分类名称
     */
    private String cateName;
    /**
     * 排序号
     */
    private Integer sortNum;
    /**
     * 状态
     */
    private Integer useStatus;

}