package com.yc.ship.module.otc.controller.admin.print.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 打印模板 Response VO")
@Data
public class PrintSimpleVO {

    @Schema(description = "模板id", example = "1")
    private String id;

    @Schema(description = "模板名称", example = "王五")
    private String templateName;

    @Schema(description = "模板类型", example = "1")
    private Integer templateType;

    @Schema(description = "打印模板编号")
    @ExcelProperty("打印模板编号")
    private String templateCode;

    @Schema(description = "是否为默认模板")
    private Integer isDefault;

}
