package com.yc.ship.module.resource.controller.admin.checkchannel.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 产品检票通道 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CheckChannelRespVO {

    @Schema(description = "主键", example = "24023")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "产品ID;基础产品或者组合产品", example = "31571")
    @ExcelProperty("产品ID;基础产品或者组合产品")
    private Long productId;

    @Schema(description = "通道ID", example = "30582")
    @ExcelProperty("通道ID")
    private Long channelId;

    @Schema(description = "检票次数")
    @ExcelProperty("检票次数")
    private Integer checkTimes;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}