package com.yc.ship.module.ota.api.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;


/**
 * 分销商充值
 */
@Schema(description = "RPC 服务 - Distributor")
@Data
public class DistributorRechargeRespDTO {


    @Schema(description = "交易id", example = "5749")
    private Long tradeId;

    @Schema(description = "支付类型", example = "1预付款、 2授信")
    private Integer rechargeType;


}
