package com.yc.ship.module.otc.api.link.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 链接管理 Response VO")
@Data
public class LinkRespDTO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "9914")
    private Long id;

    @Schema(description = "链接名称", example = "王五")
    private String linkName;

    @Schema(description = "门店、售票员信息")
    private List<LinkDetailRespDTO> detailRespDTOS;

}
