package com.yc.ship.module.otc.controller.admin.link.detail;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 链接扩展明细 Response VO")
@Data
@ExcelIgnoreUnannotated
public class LinkDetailRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "5356")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "链接管理主键id", example = "20678")
    @ExcelProperty("链接管理主键id")
    private Long linkId;

    @Schema(description = "信息id")
    @ExcelProperty("信息id")
    private Long sourceCode;

    @Schema(description = "类型（0:门店；1:售票员）", example = "2")
    @ExcelProperty("类型（0:门店；1:售票员）")
    private Integer type;

}
