package com.yc.ship.module.otc.controller.admin.store.machine;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 关联设备 Response VO")
@Data
public class SellerMachineRespVO {
    @Schema(description = "设备ID", example = "24819")
    private Long id;

    @Schema(description = "门店ID", example = "24819")
    private Long storeId;

    @Schema(description = "门店", example = "小店")
    private String storeName;

    @Schema(description = "设备编码", example = "30745")
    private String machineId;

    @Schema(description = "设备名称", example = "张三")
    private String machineName;

    @Schema(description = "设备类型", example = "2")
    private Integer machineType;

    @Schema(description = "排序")
    private Integer sortNum;
}
