package com.yc.ship.module.otc.controller.admin.store.product;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 门店设备产品关联新增/修改 Request VO")
@Data
public class StoreProductSaveReqVO {

    @Schema(description = "门店ID", example = "3053")
    private Long storeId;

    @Schema(description = "产品ID", example = "1217")
    private Long productId;

    @Schema(description = "是否启用")
    private Long isUse;

}
