package com.yc.ship.module.otc.controller.admin.store.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 门店账号关联新增/修改 Request VO")
@Data
public class StoreUserSaveReqVO {

    @Schema(description = "门店ID", example = "24433")
    private Long storeId;

    @Schema(description = "关联账号ID", example = "15150")
    private Long userId;

}
