package com.yc.ship.module.otc.controller.admin.storescheduling.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 班次售票员新增/修改 Request VO")
@Data
public class StoreSchedulingUserSaveReqVO {

    @Schema(description = "班次表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28484")
    private Long id;

    @Schema(description = "用户ID", example = "2060")
    private Long userId;

    @Schema(description = "门市表ID", example = "367")
    private Long schedulingId;

    @Schema(description = "用户表ID", example = "367")
    private List<Long> checkedValues;

}
