package com.yc.ship.module.otc.controller.admin.storescheduling.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 班次管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class StoreSchedulingRespVO {

    @Schema(description = "班次表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "18302")
//    @ExcelProperty("班次表ID")
    private Long id;

    @Schema(description = "班次名称", example = "芋艿")
    @ExcelProperty("班次名称")
    private String name;

    @Schema(description = "开始时间")
    @ExcelProperty("开始时间")
    private String startTime;

    @Schema(description = "结束时间")
    @ExcelProperty("结束时间")
    private String endTime;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
