package com.yc.ship.module.resource.controller.admin.channel.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 通道新增/修改 Request VO")
@Data
public class ScenicChannelSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "22530")
    private Long id;

    @Schema(description = "检票站点", example = "6586")
    private Long siteId;

    @Schema(description = "名称", example = "王五")
    private String name;

    @Schema(description = "出入类型;0入口 1出口", example = "2")
    private Integer doorwayType;

    @Schema(description = "是否启用")
    private Integer isUse;

    @Schema(description = "排序")
    private Integer sortNum;

}
