package com.yc.ship.module.resource.controller.admin.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "RPC 服务 - 设备信息 Response DTO")
@Data
public class CheckMachineDTO {
    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "15125")
    private Long id;

    @Schema(description = "名称", example = "李四")
    private String name;

    @Schema(description = "设备类型", example = "2")
    private Integer machineType;

    @Schema(description = "设备ID", example = "13048")
    private String machineId;

    @Schema(description = "通道ID", example = "4656")
    private Long channelId;

    @Schema(description = "通道名称", example = "4656")
    private String channelName;

    @Schema(description = "是否启用")
    private Integer isUse;

    @Schema(description = "排序")
    private Integer sortNum;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

}
